#include<iostream>
#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int main()
{
	ifstream fi("tamgiac.inp");
	float a,b;
	fi>>a>>b;
	fi.close();
	ofstream fo("tamgiac.out");
    float c;
    if(a>b){c=sqrt(a*a-b*b);}
    else{c=sqrt(b*b-a*a);}
    fo.setf(ios::fixed);
    fo.setf(ios::showpoint);
    fo.precision(2);
    fo<<c;
}
